simple_coder.h File Reference

Wrapper for simple filters. More...

`#include "common.h"`

## Functions

lzma_ret | lzma_simple_x86_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_x86_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_powerpc_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_powerpc_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_ia64_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_ia64_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_arm_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_arm_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_armthumb_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_armthumb_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_sparc_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_sparc_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)

## Detailed Description

Wrapper for simple filters.